imlib2: FTBFS: Missing build dependency on libxt-dev.

Bug #7317 reported by Debian Bug Importer on 2004-08-05
4
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
Ubuntu
High
Unassigned

Bug Description

Automatically imported from Debian bug report #263827 http://bugs.debian.org/263827

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #263827 http://bugs.debian.org/263827

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 6 Aug 2004 00:02:43 +0200
From: Kurt Roeckx <email address hidden>
To: <email address hidden>
Subject: imlib2: FTBFS: Missing build dependency on libxt-dev.

Package: imlib2
Version: 1.1.0-12.2
Severity: serious

The package FTBFS with:
checking for XOpenDisplay in -lX11... no
configure: error: ERROR: libX11 not found.

From the config.log:
configure:20665: checking for X
configure:20771: cc -E conftest.c
conftest.c:26:27: X11/Intrinsic.h: No such file or directory

X11/Intrinsic.h is provided by the libxt-dev package.

Kurt

LaMont Jones (lamont) wrote :

While techincally correct, it build-deps xlibs-dev, which Depends libxt-dev for
warty. hence not a warty bug.

On 2004-08-06 Kurt Roeckx <email address hidden> wrote:
> Package: imlib2
> Version: 1.1.0-12.2
> Severity: serious

> The package FTBFS with:
> checking for XOpenDisplay in -lX11... no
> configure: error: ERROR: libX11 not found.

> From the config.log:
> configure:20665: checking for X
> configure:20771: cc -E conftest.c
> conftest.c:26:27: X11/Intrinsic.h: No such file or directory

> X11/Intrinsic.h is provided by the libxt-dev package.

The better fix is to change the configure script to not use libXt to
check for existence of X but another X library that is used anyway,
e.g. libX11.

-------------------
--- imlib2-1.1.0/configure.ac
+++ imlib2-1.1.0/configure.ac
@@ -115,7 +115,7 @@
            [Define this if we can use the "b" mode for fopen safely.])
 fi

-AC_PATH_X
+AC_PATH_X([X11],[X11/Xlib.h],[XrmInitialize()])
-------------------
                 cu andreas
--
"See, I told you they'd listen to Reason," [SPOILER] Svfurlr fnlf,
fuhggvat qbja gur juveyvat tha.
Neal Stephenson in "Snow Crash"

tag 263827 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 7 Aug 2004 09:18:44 +0200
Source: imlib2
Binary: libimlib2 libimlib2-dev
Architecture: source i386
Version: 1.1.0-12.3
Distribution: unstable
Urgency: medium
Maintainer: Laurence J. Lane <email address hidden>
Changed-By: Andreas Metzler <email address hidden>
Description:
 libimlib2 - powerful image loading and rendering library
 libimlib2-dev - Imlib2 development files
Closes: 263827
Changes:
 imlib2 (1.1.0-12.3) unstable; urgency=medium
 .
   * NMU
   * Fix FTBFS introduced by stripping build-depends in last uploads. Use
     AC_PATH_X([X11],[X11/Xlib.h],[XrmInitialize()] instead of plain AC_PATH_X
     because libX11 is used by the package, while the default for AC_PATH_X
     (libXt) is not. (Closes: #263827) (Thanks to J.H.M. Dassen.)
Files:
 e4212f161e9397a26d89af038187440a 707 libs optional imlib2_1.1.0-12.3.dsc
 81395fc163a60c04f36f392f2801a1b7 449380 libs optional imlib2_1.1.0-12.3.diff.gz
 a79c056308162f881c3d92659ce2d739 180606 libs optional libimlib2_1.1.0-12.3_i386.deb
 b5498fe0e7f76d4d98fb5742e34cd767 575590 libdevel optional libimlib2-dev_1.1.0-12.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBFJbsHTOcZYuNdmMRAiT0AJ0XZBtt4bmnIgRBkQMUE7TpKsBziwCgjKur
7DDqJ5zoRjhNq3++uyNR3ws=
=I86i
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 7 Aug 2004 10:45:40 +0200
From: Andreas Metzler <email address hidden>
To: Kurt Roeckx <email address hidden>, <email address hidden>
Subject: Re: imlib2: FTBFS: Missing build dependency on libxt-dev.

On 2004-08-06 Kurt Roeckx <email address hidden> wrote:
> Package: imlib2
> Version: 1.1.0-12.2
> Severity: serious

> The package FTBFS with:
> checking for XOpenDisplay in -lX11... no
> configure: error: ERROR: libX11 not found.

> From the config.log:
> configure:20665: checking for X
> configure:20771: cc -E conftest.c
> conftest.c:26:27: X11/Intrinsic.h: No such file or directory

> X11/Intrinsic.h is provided by the libxt-dev package.

The better fix is to change the configure script to not use libXt to
check for existence of X but another X library that is used anyway,
e.g. libX11.

-------------------
--- imlib2-1.1.0/configure.ac
+++ imlib2-1.1.0/configure.ac
@@ -115,7 +115,7 @@
            [Define this if we can use the "b" mode for fopen safely.])
 fi

-AC_PATH_X
+AC_PATH_X([X11],[X11/Xlib.h],[XrmInitialize()])
-------------------
                 cu andreas
--
"See, I told you they'd listen to Reason," [SPOILER] Svfurlr fnlf,
fuhggvat qbja gur juveyvat tha.
Neal Stephenson in "Snow Crash"

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sat, 07 Aug 2004 05:02:08 -0400
From: Andreas Metzler <email address hidden>
To: <email address hidden>
Cc: Andreas Metzler <email address hidden>, <email address hidden> (Laurence J. Lane)
Subject: Fixed in NMU of imlib2 1.1.0-12.3

tag 263827 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 7 Aug 2004 09:18:44 +0200
Source: imlib2
Binary: libimlib2 libimlib2-dev
Architecture: source i386
Version: 1.1.0-12.3
Distribution: unstable
Urgency: medium
Maintainer: Laurence J. Lane <email address hidden>
Changed-By: Andreas Metzler <email address hidden>
Description:
 libimlib2 - powerful image loading and rendering library
 libimlib2-dev - Imlib2 development files
Closes: 263827
Changes:
 imlib2 (1.1.0-12.3) unstable; urgency=medium
 .
   * NMU
   * Fix FTBFS introduced by stripping build-depends in last uploads. Use
     AC_PATH_X([X11],[X11/Xlib.h],[XrmInitialize()] instead of plain AC_PATH_X
     because libX11 is used by the package, while the default for AC_PATH_X
     (libXt) is not. (Closes: #263827) (Thanks to J.H.M. Dassen.)
Files:
 e4212f161e9397a26d89af038187440a 707 libs optional imlib2_1.1.0-12.3.dsc
 81395fc163a60c04f36f392f2801a1b7 449380 libs optional imlib2_1.1.0-12.3.diff.gz
 a79c056308162f881c3d92659ce2d739 180606 libs optional libimlib2_1.1.0-12.3_i386.deb
 b5498fe0e7f76d4d98fb5742e34cd767 575590 libdevel optional libimlib2-dev_1.1.0-12.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBFJbsHTOcZYuNdmMRAiT0AJ0XZBtt4bmnIgRBkQMUE7TpKsBziwCgjKur
7DDqJ5zoRjhNq3++uyNR3ws=
=I86i
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 08 Aug 2004 05:52:34 -0500
From: Laurence Lane <email address hidden>
To: <email address hidden>
Subject: closed

closed

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.